---
title: Intl.Segmenter.prototype.resolvedOptions()
slug: Web/JavaScript/Reference/Global_Objects/Intl/Segmenter/resolvedOptions
---
<p>{{JSRef}}</p>

<p>Returns a new object with properties reflecting the locale and granularity options computed during initialization of this <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Segmenter"><code>Intl.Segmenter</code></a> object.</p>
